Subject: [bug#30647] [PATCH] guix build: Support '--remote-log-file=PACKAGE'.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 01 Mar 2018 14:22:46 +0100

Hello,

Oleg Pykhalov <[email-masked]> skribis:

> [email-masked] (Ludovic Courtès) writes:
>
>> Oleg Pykhalov <[email-masked]> skribis:
>>
>>> ‘--remote-log-file’ allows to get a URL for a build log file on a substitute
>>> server regardless is it built locally.  ‘--log-file’ returns always local
>>> build log file.
>>
>> What did you think of having ‘--log-file’ transparently fall back to
>> searching for log files on substitute servers?
>
> Sorry, I don't understand the question.  Does the “fall back” mean the
> behavior before a patch?

To put it differently: what do you dislike about the current behavior?

>> I find it handy, but also wondered if it might surprise users that such
>> a trivially-looking option connects to external servers.  I thought
>> about having it print something when it does so.  Would address your
>> concerns?
>
> Do you mean always connect to the external server and print a URL for a
> log file in addition to path of local log file?

No no: keep the current behavior, but print something when we’re looking
for a remote log file (currently it silently checks whether the remote
log file is available.)

> I don't think mixing those in one output is good, because for example
> you cannot do like:
>
> diff -u <(guix build --log-file hello) <(guix build --remote-log-file hello)

I see.  I guess I’ve never wanted that, or rather, when I do, I
explicitly wget the remote log file.  :-)

So I guess I’m unconvinced about the need for a separate
‘--remote-log-file’ option.

What do people think?  Ricardo?

> As a better approach in addition to ‘--no-substitutes’, maybe we could
> implement ‘--only-substitutes’ (as I remember Nix has it)?  Such flag
> will return a remote log file and will avoid building packages locally.

That could be an option, but that’s much more work (not limited to log
file handling.)

Thanks,
Ludo’.